Skip to main content
`Ctrl`+`K`

# SNESGetNPCSide

Gets the preconditioning side used by the nonlinear preconditioner inside `SNES`.

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetNPCSide(SNES snes, PCSide *side)

Not Collective

## Input Parameter

- snes - iterative context obtained from `SNESCreate()`

## Output Parameter

- side - the preconditioning side, where side is one of

          `PC_LEFT` - left preconditioning
          `PC_RIGHT` - right preconditioning (default for most nonlinear solvers)

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetNPC()`, `SNESSetNPCSide()`, `KSPGetPCSide()`, `PC_LEFT`, `PC_RIGHT`, `PCSide`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages